Kontakt erstellen
Entwickler können über die API Kontakte erstellen.
Anfragemethode
POST
Anfrage-URL
https://livedesk-api.engagelab.com/api/v2/accounts/contacts
Authentifizierung
Einzelheiten zur Authentifizierung finden Sie in der API-Übersicht.
Anfrage
Anfragebeispiel
curl -X POST https://livedesk-api.engagelab.com/api/v2/accounts/contacts \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic base64(api_key:api_secret)' \
{
"inbox_id": 407,
"name": "Test", // Optional
"email": "alice@acme.inc",
"phone_number": "+123456789",
"avatar_url": "https://example.com/avatar.png",
"identifier": "1234567890",
}
curl -X POST https://livedesk-api.engagelab.com/api/v2/accounts/contacts \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic base64(api_key:api_secret)' \
{
"inbox_id": 407,
"name": "Test", // Optional
"email": "alice@acme.inc",
"phone_number": "+123456789",
"avatar_url": "https://example.com/avatar.png",
"identifier": "1234567890",
}
Diesen Codeblock im schwebenden Fenster anzeigen
Anfrage-Header
| Feld | Typ | Beschreibung |
|---|---|---|
| Authorization | string | Verwenden Sie Authorization: Basic base64(API Key:API Secret) zur Authentifizierung. Rufen Sie API Key und API Secret auf der API-Key-Seite ab, verbinden Sie beide mit einem Doppelpunkt und kodieren Sie sie anschließend mit Base64. |
| Content-Type | application/json | Dies ist das Datenformat der Anfrage. Verwenden Sie application/json. |
Request-Body-Parameter
| Feld | Typ | Erforderlich | Beschreibung |
|---|---|---|---|
| inbox_id | String | Ja | Kanal-ID. Sie entspricht der Kanal-ID unter "Projekteinstellungen - Kanäle - bestimmter Kanal - Einstellungen". |
| name | String | Nein | Kontaktname. |
| String | Nein | E-Mail-Adresse. | |
| phone_number | String | Nein | Telefonnummer des Kontakts. |
| avatar_url | String | Nein | Link zum Avatarbild. |
| identifier | String | Nein | Benutzerkennung. |
Antwort
Antwortbeispiel
{
"payload": {
"contact": {
"additional_attributes": {},
"availability_status": "offline",
"email": null,
"id": 2219259,
"name": "Test",
"phone_number": null,
"blocked": false,
"identifier": null,
"thumbnail": "",
"custom_attributes": {},
"created_at": 1766571703,
"contact_inboxes": []
},
"contact_inbox": {
"inbox": null,
"source_id": null
}
}
}
{
"payload": {
"contact": {
"additional_attributes": {},
"availability_status": "offline",
"email": null,
"id": 2219259,
"name": "Test",
"phone_number": null,
"blocked": false,
"identifier": null,
"thumbnail": "",
"custom_attributes": {},
"created_at": 1766571703,
"contact_inboxes": []
},
"contact_inbox": {
"inbox": null,
"source_id": null
}
}
}
Diesen Codeblock im schwebenden Fenster anzeigen
Antwortparameter
| Feld | Typ | Erforderlich | Beschreibung |
|---|---|---|---|
| additional_attributes | Object | Nein | Zusätzliche Attribute. |
| availability_status | String | Nein | Online-Status. Standard ist offline. |
| String | Nein | E-Mail-Adresse. | |
| id | String | Nein | Kontakt-ID. |
| name | String | Nein | Name. |
| phone_number | String | Nein | Telefonnummer. |
| blocked | String | Nein | Gibt an, ob blockiert. Standard ist false. |
| identifier | String | Nein | Benutzerkennung. |
| thumbnail | String | Nein | Miniaturbild. |
| custom_attributes | String | Nein | Benutzerdefinierte Attribute. |
| created_at | String | Nein | Erstellungszeitstempel. |
| contact_inboxes | Array | Nein | Liste der dem Kontakt zugeordneten Posteingänge. |
| inbox | String | Nein | Kanal. |
| source_id | String | Nein | Quell-ID. |










